classification
Title: singledispatch docs should explicitly mention support for abstract base classes
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, martin.panter, ncoghlan
Priority: normal Keywords: patch

Created on 2014-06-15 04:00 by ncoghlan, last changed 2019-11-19 08:17 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17171 merged BTaskaya, 2019-11-15 14:34
Messages (2)
msg220611 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-06-15 04:00
functools.singledispatch is integrated with the abc module for fast single dispatch even in the absence of concrete inheritance. However, this isn't obvious from the documentation, so users may not realise they can register a single ABC with the generic function, and then multiple classes with the ABC, rather than having to register each class with the generic function directly.
msg356953 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-11-19 08:16
New changeset 24555ce2f969bd69517011d23aaf8cc481090211 by Łukasz Langa (Batuhan Taşkaya) in branch 'master':
bpo-21767: explicitly mention abc support in functools.singledispatch docs (#17171)
https://github.com/python/cpython/commit/24555ce2f969bd69517011d23aaf8cc481090211
History
Date User Action Args
2019-11-19 08:17:31lukasz.langasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-11-19 08:16:50lukasz.langasetnosy: + lukasz.langa
messages: + msg356953
2019-11-15 14:34:47BTaskayasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request16680
2014-06-16 05:12:00martin.pantersetnosy: + martin.panter
2014-06-15 04:00:26ncoghlancreate